Bug 124919 - devel/apr: [PATCH]: update 1.2.12 -> 1.3.2
Summary: devel/apr: [PATCH]: update 1.2.12 -> 1.3.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Craig Rodrigues
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-06-24 05:00 UTC by Philip M. Gollucci
Modified: 2008-07-29 02:49 UTC (History)
1 user (show)

See Also:


Attachments
devel_apr_1.2.12_to_1_3_2.diff (48.04 KB, patch)
2008-06-24 05:00 UTC, Philip M. Gollucci
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Philip M. Gollucci 2008-06-24 05:00:09 UTC
  o update to 1.3.2
  o Removed files:
      files/patch-apr-util_build_dbm.m4 was removed, no comparison available
      files/patch-apr-util_configure was removed, no comparison available
    This patch is part of apr 1.3.0+
  o moved SHLIB_MAJOR into Makefile to follow other ports and reduce pkg-plist changes
  
  o via Tools/scripts/bump_version.pl
    ports requiring devel/apr and devel/apr-svn have PORTVERSION bumped to chase this
    (88 ports)
  o replace apr-1.2 with apr-1 since apr-1.2 is nolonger valid, and apr-1 will work until devel/apr2

  o Request a cluster run first ?
  o UPDATING entry ?
Comment 1 Edwin Groothuis freebsd_committer 2008-06-24 05:00:17 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rodrigc

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2008-07-04 20:29:30 UTC
rodrigc     2008-07-04 19:29:21 UTC

  FreeBSD ports repository (src committer)

  Modified files:
    devel/apr            Makefile distinfo pkg-plist 
    devel/apr/files      patch-apr_hints.m4 
  Removed files:
    devel/apr/files      patch-apr-util_build_dbm.m4 
                         patch-apr-util_configure 
  Log:
  Update to 1.3.2
  
  PR:             124919
  Submitted by:   Philip M. Gollucci" <pgollucci p6m7g8 com>
  
  Changed PREFIX to LOCALBASE
  
  Submitted by: Sergey Skvortsov <skv protey ru>
  
  Revision  Changes    Path
  1.72      +8 -5      ports/devel/apr/Makefile
  1.18      +6 -6      ports/devel/apr/distinfo
  1.5       +0 -21     ports/devel/apr/files/patch-apr-util_build_dbm.m4 (dead)
  1.5       +0 -21     ports/devel/apr/files/patch-apr-util_configure (dead)
  1.13      +2 -2      ports/devel/apr/files/patch-apr_hints.m4
  1.17      +5 -2      ports/devel/apr/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Max Brazhnikov 2008-07-06 07:38:09 UTC
Hi Craig,

Please proceed with dependent ports without maintainers approval. Bumping 
portrevision is not the case when maintainer permit is needed and ports 
shouldn't be broken because of library update.

Thanks,
Max
Comment 4 Philip M. Gollucci 2008-07-16 04:42:15 UTC
Hi,

If you are leaving this open for a reason thats fine, but I think you 
can close it now.

-- 
------------------------------------------------------------------------
Philip M. Gollucci (philip@ridecharge.com)
o:703.549.2050x206
Senior System Admin - Riderway, Inc.
http://riderway.com / http://ridecharge.com
1024D/DB9B8C1C B90B FBC3 A3A1 C71A 8E70  3F8C 75B8 8FFB DB9B 8C1C

Work like you don't need the money,
love like you'll never get hurt,
and dance like nobody's watching.
Comment 5 Craig Rodrigues freebsd_committer 2008-07-29 02:49:06 UTC
State Changed
From-To: open->closed

Committed.